curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/payments{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z",
"total_items": 123,
"page_number": 123,
"page_size": 123,
"max_page_size": 123,
"sort_by": "<string>",
"sort_order": "asc",
"total_pages": 123
},
"response_type": "object",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_type": "charge",
"payment_date": "2023-12-25",
"description": "Invoice payment for 100 widgets",
"external_id": "<string>",
"amount": "10000",
"currency": "USD",
"paykey": "<string>",
"status": "created",
"status_details": {
"message": "Payment successfully created and awaiting validation.",
"reason": "OK",
"source": "system",
"changed_at": "2023-11-07T05:31:56Z",
"code": null
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"funding_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"trace_ids": {},
"effective_at": "2023-11-07T05:31:56Z",
"customer_details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Ron Swanson",
"customer_type": "individual",
"email": "[email protected]",
"phone": "+1234567890"
},
"paykey_details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "Bank of America ****1234",
"balance": "100.00"
},
"funding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Search all payments in the system.
curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/payments{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z",
"total_items": 123,
"page_number": 123,
"page_size": 123,
"max_page_size": 123,
"sort_by": "<string>",
"sort_order": "asc",
"total_pages": 123
},
"response_type": "object",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_type": "charge",
"payment_date": "2023-12-25",
"description": "Invoice payment for 100 widgets",
"external_id": "<string>",
"amount": "10000",
"currency": "USD",
"paykey": "<string>",
"status": "created",
"status_details": {
"message": "Payment successfully created and awaiting validation.",
"reason": "OK",
"source": "system",
"changed_at": "2023-11-07T05:31:56Z",
"code": null
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"funding_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"trace_ids": {},
"effective_at": "2023-11-07T05:31:56Z",
"customer_details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Ron Swanson",
"customer_type": "individual",
"email": "[email protected]",
"phone": "+1234567890"
},
"paykey_details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "Bank of America ****1234",
"balance": "100.00"
},
"funding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Use your Straddle API Key in the Authorization header as Bearer
For use by platforms to specify an account id and set scope of a request.
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
Results page number. Starts at page 1.
Results page size. Max value: 1000
The field to sort the results by.
created_at, payment_date, effective_at, id, amount asc, desc Search by the type of a charge or payout.
Payment type.
The type of payment.
charge, payout Search by the status of a charge or payout.
Payment status.
The current status of the charge or payout.
created, scheduled, failed, cancelled, on_hold, pending, paid, reversed Search using the id of a charge or payout.
Payment id.
Search using the external_id of a charge or payout.
External id.
Search using the customer_id of a charge or payout.
Customer id.
Search using the paykey_id of a charge or payout.
Paykey id.
Search using the paykey of a charge or payout.
Paykey.
Search using the minimum amount of achargeorpayout`.
Minimum amount.
Search using a maximum amount of a charge or payout.
Maximum amount.
Search using the earliest of a charge or payout.
Minimum payment date.
Search using the latest payment_date of a charge or payout.
Maximum payment date.
Search using the earliest created_at date of a charge or payout.
Minimum created at.
Search using the latest created_at date of a charge or payout.
Maximum created at.
Search using the earliest effective_date of a charge or payout.
Minimum effective at.
Search using the latest effective_date of a charge or payout.
Maximum effective at.
Search using the funding_id of a charge or payout.
Funding id.
Search using a text string associated with a charge or payout.
Search text.
The field to sort the results by.
created_at, payment_date, effective_at, id, amount asc, desc Reason for latest payment status change.
insufficient_funds, closed_bank_account, invalid_bank_account, invalid_routing, disputed, payment_stopped, owner_deceased, frozen_bank_account, risk_review, fraudulent, duplicate_entry, invalid_paykey, payment_blocked, amount_too_large, too_many_attempts, internal_system_error, user_request, ok, other_network_return, payout_refused, cancel_request, failed_verification, require_review, blocked_by_system, watchtower_review Source of latest payment status change.
watchtower, bank_decline, customer_dispute, user_action, system OK
Show child attributes
Indicates the structure of the returned content.
data field contains a single JSON object.data field contains an array of objects.data field contains an error object with details of the issue.object, array, error, none Show child attributes
Was this page helpful?